Bug 337231 - rdesktop 1.4.1 is incompatible with Vista, needs to be 1.5.0
rdesktop 1.4.1 is incompatible with Vista, needs to be 1.5.0
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rdesktop (Show other bugs)
5.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Søren Sandmann Pedersen
desktop-bugs@redhat.com
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-18 02:46 EDT by Victor Ashik
Modified: 2014-06-18 05:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:11:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2007-10-18 02:46:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):
1.4.1-4

How reproducible:
Always

Steps to Reproduce:
1.Have a Windows Vista machine with enabled remote desktop
2.Try to connect by rdesktop from RHEL5
  
Actual results:

ERROR: modulus len 0x108
ERROR: send: Connection reset by peer
ERROR: Connection closed

Expected results:

Successful connection.

Additional info:
Comment 1 Waleed Mubark 2008-07-26 01:46:52 EDT
Hello,

I have the same problem, I have tested on RHEL4.6 & RHEL5.1 WS. It is working
fine when I use rdesktop 1.5


Yours,
Walid
Comment 2 Waleed Mubark 2008-07-26 01:52:09 EDT
ERROR: modulus len 0x108
ERROR: send: Connection reset by peer
ERROR: Connection closed
Broken pipe
Comment 8 Robert Townley 2009-08-20 23:50:38 EDT
On Fedora, rdesktop 1.6.0-4.fc11 connects fine to Win2008 R2.  

On CentOS 5, rdesktop 1.4.1-6 fails to connect to Win2008 R2 with error:
ERROR: modulus len 0x108
ERROR: send: Connection reset by peer

Need rdesktop for debugging a ADS integration to get management approval.
Comment 9 errata-xmlrpc 2009-09-02 07:11:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1417.html

Note You need to log in before you can comment on or make changes to this bug.